<?php


namespace App\Mobile\Synchronization\Controllers;

use App\Mobile\Synchronization\Resources\RouteResource;
use App\Mobile\Synchronization\Resources\BuscaClientResource;
use App\Mobile\Synchronization\Resources\SyncAllClientsResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Illuminate\Support\Facades\Lang;
use Schaffen\Financial\BillingRoute\Managers\RouteManager;
use Schaffen\Financial\BillingRoute\Repositories\RouteRepository;
use Schaffen\Financial\BillingRoute\Repositories\ClientRouteRepository;
use Illuminate\Http\Request;


class RouteController extends CrudController
{
    protected $resource = RouteResource::class;


    public function __construct(RouteManager $manager, RouteRepository $repository, ClientRouteRepository  $client_route_repository)
    {
        parent::__construct($manager, $repository);
        $this->client_route_repository = $client_route_repository;

    }

    public function store()
    {
        throw new \Exception(Lang::get('exceptions.command.invalid'), 403);
    }

    public function update($id)
    {
        throw new \Exception(Lang::get('exceptions.command.invalid'), 403);
    }

    public function buscarCliente(Request $request){
        $sanitized = $request->all();
        return new  BuscaClientResource($this->manager->buscaCliente($sanitized));
    }

    public function todosClientes(){
        return  SyncAllClientsResource::collection($this->client_route_repository->list([], ['person', 'address','contact','route']));
    }


}
