<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class RouteResourceUserLogado extends Resource
{
    public function toArray($request)
    {
        $user = $this[0] ?? [];
        $ususario = [];
        $rotas = [];

        if ($user->relationLoaded('person')) {
            $ususario = [
                'pes_codigo' => $user->person->pes_codigo,
                'pes_nome' => $user->person->pes_nome,
            ];
        }
        if ($user->person->relationLoaded('route')) {
            $rotas = $this->getRotas($user->person->route);
        }

        return [
            //'user' => $ususario,
            'rotas' => $rotas,
        ];

    }


    public function getRotas($items)
    {
        $rotas = [];
        foreach ($items as $item) {
            if ($item->relationLoaded('clients')) {
                $clientes = $this->getClients($item->clients);
            }
            $rotas[] = [
                'rot_codigo' => $item->rot_codigo,
                'rot_descricao' => $item->rot_descricao,
                'clients' => $clientes,
            ];
        }
        return $rotas;
    }

    public function getClients($items)
    {
        $clientes = [];
        foreach ($items as $item) {
            if ($item->relationLoaded('address')) {
                $endereco = $this->getEndereco($item->address);
            }
            if ($item->relationLoaded('contact')) {
                $contato = $this->getContato($item->contact);
            }

            $clientes[] = [
                'pes_codigo' => $item->pes_codigo,
                'pes_nome' => $item->pes_nome,
                'pes_identificador' => $item->pes_identificador,
                'address' => $endereco,
                'contact' => $contato,
            ];
        }
        return $clientes;
    }

    public function getEndereco($items)
    {
        $endereco = [];
        foreach ($items as $item) {
            $endereco = [
                'pee_cep' => $item->pee_cep ?? null,
                'pee_numero' => $item->pee_numero ?? null,
                'pee_bairro' => $item->pee_bairro ?? null,
                'pee_complemento' => $item->pee_complemento ?? null,
                'pee_logradouro' => $item->pee_logradouro ?? null,
                'pee_cidade' => $item->pee_cidade ?? null,
                'pee_uf' => $item->pee_uf ?? null,
            ];
            return $endereco;
        }
    }

    public function getContato($items)
    {
        $contato = [];
        foreach ($items as $item) {
            $contato = [
                'peco_telefone' => $item->peco_telefone ?? null,
                'peco_email' => $item->peco_email ?? null,

            ];
            return $contato;
        }
    }
}
